Bug 831437 - python-tools multilib conflicts
python-tools multilib conflicts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 20:26 EDT by Philippe Troin
Modified: 2013-05-14 16:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 16:41:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 20:26:40 EDT
# yum install python-tools
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package python-tools-2.7.3-6.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package python-tools.i686 0:2.7.3-6.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch         Version                 Repository      Size
================================================================================
Installing:
 python-tools         i686         2.7.3-6.fc17            fedora         848 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 848 k
Installed size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/bin/pynche from install of python-tools-2.7.3-6.fc17.i686 conflicts with file from package python-tools-2.7.3-6.fc17.x86_64

Error Summary
-------------

[2]    12902 exit 1     noglob yum install python-tools
Comment 1 Dave Malcolm 2012-06-19 16:09:28 EDT
Notes to self: /usr/bin/pynche has this content:
  #!/bin/bash
  exec /usr/lib64/python2.7/site-packages/pynche/pynche
i.e. the lib64 is the difference.

It's constructed in our python.spec within the %install phase

It's just a toy Tk app.  The other tools in python-tools *are* useful (e.g. 2to3)
Comment 2 Bohuslav "Slavek" Kabrda 2012-06-25 06:21:42 EDT
Hi Dave,
maybe it would be possible to use something like this:

exec `python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific = True))"`/pynche/pynche

It's not very nice, but it is multilib safe and works.
Comment 3 Fedora Admin XMLRPC Client 2013-05-10 01:00:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2013-05-10 01:01:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:05:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:13:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:13:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Dave Malcolm 2013-05-14 15:55:33 EDT
Candidate fix committed to git "master" for f20 as:
http://pkgs.fedoraproject.org/cgit/python.git/commit/?id=e0483e0c2aa2a487225141867f3f02725f9a8396

  Building python-2.7.4-5.fc20 for rawhide
  Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5380982

Candidate fix committed to git "f19" as:
http://pkgs.fedoraproject.org/cgit/python.git/commit/?h=f19&id=d2b9971f178c615136a9816f542030fe542c996d

  Building python-2.7.4-5.fc19 for f19-candidate
  Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5381010

Note You need to log in before you can comment on or make changes to this bug.